import request from '@/config/axios'

// 获取事件列表
export const getEventList = (data) => {
  // return request.post({ url: '/qxsd/event-detail/page', data })
  return request.post({ url: '/qxsd/event-detail/page', data })
}

// 获取事件详情
export const getEventDetail = (params) => {
  return request.get({ url: '/qxsd/event-detail/get', params })
}

// 消除事件
export const cancelEvent = (data) => {
  return request.post({ url: '/qxsd/event-detail/dispelEvent', data })
}

// 上报事件
export const postEvent = (params) => {
  return request.get({ url: '/qxsd/event-detail/report', params })
}

// 事件历史数据
export const eventRemain = (params) => {
  return request.get({ url: '/qxsd/event-detail/eventHis', params })
}

// 隧道事件详情页
export const gettunnelEventDetail = (params) => {
  return request.get({ url: '/qxsd/event-detail/sdgkAlarm', params })
}

// 隧道事件详情页-媒体资源
export const gettunnelEventresource = (params) => {
  return request.get({ url: '/qxsd/event-detail/sdgkAlarm/resource', params })
}